<template>
  <article class="wrapper">
    <h2 class="heading">Uploading…</h2>
    <div class="loader">
      <div class="loader-bar"></div>
    </div>
  </article>
</template>

<style lang="scss" scoped>
.wrapper {
  padding: 3.6rem 3.2rem 4.2rem;
}

.heading {
  font-weight: 500;
  line-height: 1.5;
  margin-bottom: 3rem;
  color: var(--color-grey-dark);
  letter-spacing: -0.035em;
}

.loader {
  --border-radius-loader: 0.8rem;
  --height-loader: 0.6rem;

  position: relative;
  width: 100%;
  background-color: var(--color-grey-light);
  height: var(--height-loader);
  border-radius: var(--border-radius-loader);
}

.loader-bar {
  position: absolute;
  width: 30%;
  background-color: var(--color-primary);
  height: var(--height-loader);
  border-radius: var(--border-radius-loader);
  animation: loader 3s cubic-bezier(0, -0.05, 1, 1.05) infinite;
}

@keyframes loader {
  0% {
    left: 0;
  }

  50% {
    left: 70%;
  }

  100% {
    left: 0;
  }
}
</style>
